---
apiVersion: "v1"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    name: "zipkin-mysql"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 3306
      protocol: "TCP"
      targetPort: 3306
    selector:
      project: "zipkin-mysql"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    name: "zipkin-query"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9411
      protocol: "TCP"
      targetPort: 9411
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    name: "zipkin-query-admin"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9901
      protocol: "TCP"
      targetPort: 9901
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.7"
      fabric8.io/git-commit: "44e8de2fcb2143fdeb9e4352412636f779e90e80"
      fabric8.io/build-id: "3"
    labels:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    name: "zipkin-mysql"
  spec:
    replicas: 1
    selector:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zipkin-mysql"
          provider: "fabric8"
          version: "0.0.7"
          group: "io.fabric8.zipkin"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/zipkin-mysql:1.39.3"
          name: "zipkin-mysql"
          ports: []
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.7"
      fabric8.io/git-commit: "44e8de2fcb2143fdeb9e4352412636f779e90e80"
      fabric8.io/build-id: "3"
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    name: "zipkin-query"
  spec:
    replicas: 1
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zipkin-query"
          provider: "fabric8"
          version: "0.0.7"
          group: "io.fabric8.zipkin"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "http"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-query:1.39.3"
          name: "zipkin-query"
          ports: []
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
kind: "List"
